[PC-BSD Pbi-dev] Nessus PBI

Kris Moore kris at pcbsd.org
Sun Aug 22 05:51:57 PDT 2010

On Sat 21/08/10 10:32 AM , Dru Lavigne <drulavigne at sympatico.ca> wrote:

> There is a PBI on the server, but it is failing its build test.
> Build log is here:
> ftp://ftp.pcbsd.org/pub/pbioutgoing/i386/8/security/nessus/
> The original request suggested that building nessus-plugins instead
> should suck in all of the needed dependencies.

I need to investigate further, but here's the actual error from the log file if anybody knows what this is about :)

creating ./config.status
creating Makefile

If you installed an older version of Nessus in the past you should run
./uninstall-nessus as root first.
This script will remove the old libraries and binaries left by the older
version but will keep your configuration untouched
===>  Building for nessus-libraries-2.2.9_1
Creating nessus-config ...
cd libpcap-nessus && make
libtool cc -pipe -O2 -pipe -fno-strict-aliasing  -O2 -O2 -pipe -fno-strict-alias
_SA_LEN=1 -I. -DHAVE_SSL -I/usr/include/openssl -I/usr/ports/security/nessus-lib
raries/work/nessus-libraries/include -I/usr/ports/security/nessus-libraries/work
/nessus-libraries/libpcap-nessus -c ./pcap-bpf.c
libtool: error: you must specify a MODE.
*** Error code 1

> What is the current process for PBIs that fail to build? Should these
> be added to the PBI request forum with a note that they are a work in
> progress? Currently the following are failing their builds on 8.x:
> security/nessus
> multimedia/bmpx (32 bit only)
> java/eclipse
> ftp/wxdfast (32 bit only)
> Cheers,
> Dru

We could add these to the forum if you like, I'll try to fix them here this next week though, so hopefully they'll be in the tree soon. 

Kris Moore
PC-BSD / iXsystems
Message sent via Atmail Open - http://atmail.org/

More information about the Pbi-dev mailing list